JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.webhooks.testDelivery('550e8400-e29b-41d4-a716-446655440000');
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.webhooks.test_delivery(
"550e8400-e29b-41d4-a716-446655440000",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Webhooks.TestDelivery(context.TODO(), "550e8400-e29b-41d4-a716-446655440000")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
mobilerun-cloud webhooks test-delivery \
--api-key 'My API Key' \
--id 550e8400-e29b-41d4-a716-446655440000curl --request POST \
--url https://api.mobilerun.ai/webhooks/{id}/test \
--header 'Authorization: Bearer <token>'
{
"data": {
"success": true,
"statusCode": 123,
"error": "<string>"
}
}{
"error": "<string>"
}Webhooks
Send a one-shot test delivery
Sends a single test payload to the webhook subscription URL to verify connectivity. The response reports whether the attempt succeeded along with the returned HTTP status code or error, if any.
POST
/
webhooks
/
{id}
/
test
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.webhooks.testDelivery('550e8400-e29b-41d4-a716-446655440000');
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.webhooks.test_delivery(
"550e8400-e29b-41d4-a716-446655440000",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Webhooks.TestDelivery(context.TODO(), "550e8400-e29b-41d4-a716-446655440000")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
mobilerun-cloud webhooks test-delivery \
--api-key 'My API Key' \
--id 550e8400-e29b-41d4-a716-446655440000Was this page helpful?
⌘I